Bug 1562521 - Unable to load tiles from Openstreetmap
Summary: Unable to load tiles from Openstreetmap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: osm-gps-map
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1286259
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-31 15:09 UTC by Daniel Böhme
Modified: 2019-01-09 12:54 UTC (History)
3 users (show)

Fixed In Version: osm-gps-map-1.1.0-2.fc28 osm-gps-map-1.1.0-2.fc27 osm-gps-map-1.1.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-08 13:10:46 UTC


Attachments (Terms of Use)

Description Daniel Böhme 2018-03-31 15:09:18 UTC
Description of problem:
I am having issues viewing OSM tiles in the application "gramps", which uses osm-gps-map to do that. Other sources work.
The CLI output shows repeated messages like this:
OsmGpsMap-WARNING **: Error getting missing tile

A bit of research shows that this problem is known and already fixed upstream.
Please see upstream pull request https://github.com/nzjrs/osm-gps-map/pull/25 for more details.

Version-Release number of selected component (if applicable):
Affected version: 1.0.1-11.fc26
Should be fixed in version 1.0.2

How reproducible:
I noticed this issue using gramps. The geography view is unable to show any tiles from OSM, other sources work.

Is there anything that blocks packaging of version 1.0.2 or even 1.1.0?

Comment 1 Fedora End Of Life 2018-05-03 07:53:44 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:22:15 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Fedora Update System 2018-05-30 08:12:39 UTC
osm-gps-map-1.1.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e1c37933c

Comment 4 Fedora Update System 2018-05-30 08:13:17 UTC
osm-gps-map-1.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a9768e903

Comment 5 Fedora Update System 2018-05-30 11:15:57 UTC
osm-gps-map-1.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f701b33c09

Comment 6 Fedora Update System 2018-05-30 13:42:13 UTC
osm-gps-map-1.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a9768e903

Comment 7 Fedora Update System 2018-05-30 15:02:27 UTC
osm-gps-map-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f701b33c09

Comment 8 Fedora Update System 2018-05-30 16:56:40 UTC
osm-gps-map-1.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e1c37933c

Comment 9 Fedora Update System 2018-06-08 13:10:46 UTC
osm-gps-map-1.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-06-11 16:04:58 UTC
osm-gps-map-1.1.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-19 14:22:21 UTC
osm-gps-map-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.